<template>
	<el-row>
		<cate-table :data="incomeCategories" @delete="deleteCategory"></cate-table>
	</el-row>
</template>

<style>
	.el-row {
		width: 100%;
		margin: auto;
	}
</style>

<script>
	import Table from "./table.vue";
	import editCategory from "./edit.vue";
	export default {
		data () {
			return {
				incomeCategories : []
			}
		},
		components : {
			'cate-table' : Table,
		},
		mounted () {
			this.getIncomeCategories();
		},
		methods : {
			getIncomeCategories() {
				axios.get('/income/categories').then(response => {
					this.incomeCategories = response.data
				});
			},
			deleteCategory(arg) {
				axios.delete('/categories/' + arg.id).then(response => {
					this.$message({
	                	type: 'error',
	                	message: 'Deleted',
	                });
					this.getIncomeCategories();
				}).catch (function(error){
					console.log(error);
				})
			}
		}
	}
</script>